Mailinglist Archive: opensuse-packaging (76 mails)

< Previous Next >
Re: [opensuse-packaging] Build succeeded in Tumbleweed, but failed in Leap 15.0


El 17-05-2018 a las 18:52, Kyrill Detinov escribió:

Hello.

Just updated the Viewnior package.

Failed in Leap 15.0 with "E: viewnior
64bit-portability-issue ../src/uni-utils.c:109, 110, 111, 112"
And is OK in Tumbleweed.

Why is this happened?

https://build.opensuse.org/package/show/home:Lazy_Kent:devel/viewnior


[ 47s] ../src/uni-utils.c:109:48: warning: implicit declaration of function ‘getenv’; did you mean ‘g_setenv’? [-Wimplicit-function-declaration]

You need to include <stdlib.h> in uni-utils.c and do not count on anything else pulling it for you.
--
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-packaging+owner@xxxxxxxxxxxx

< Previous Next >
References